// FontEdit.h
//
//Copyright(c) 2018 Gold Run Partners, Inc.

#ifndef FontEdit_h__
#define FontEdit_h__

struct VCFEntityData
{
	BYTE bKind;
	short nPoints;
	fPoint2D* Points;
	VCFEntityData* pNext;

    ~VCFEntityData();
};

struct VCFCharData
{
	BYTE ch;
	BOOL tfDefined;
	short bFillable;
	fPoint2D fpMin, fpMax;
	short nEntities;
	VCFEntityData* pLast;
	VCFEntityData* pNext;

    VCFCharData();
    ~VCFCharData();
};

// defines
#define ENDOFCHAR 99  // end-of-character marker for VCF

//	font grid parameters
const double GRIDWIDTH = 2.0;		//	grid width (orig 1.5)
const double GRIDHEIGHT = 2.5;		//	grid height (orig 2.0)

const double BOUNDLEFT = -0.4;		//	bounding rectangle left
const double BOUNDRIGHT = 1.4;		//	bounding rectangle right
const double BOUNDTOP = 1.55;		//	bounding rectangle top
const double BOUNDBOTTOM = -0.67;	//	bounding rectangle bottom

const double FILLHORZ = 0.0;		//	fill label horz offset
const double KEYHORZ = 0.8;			//	key label horz offset
const double KEYVERT = -0.8;		//	key/fill label/checkbox vert offset
const double FILLBOX = 0.1;			//	fill checkbox size

const double CHECK_X1 =  0.147;		//	checkmark 1
const double CHECK_Y1 = -0.762;		//	checkmark 1
const double CHECK_X2 =  0.155;		//	checkmark 2
const double CHECK_Y2 = -0.781;		//	checkmark 2
const double CHECK_X3 =  0.196;		//	checkmark 3
const double CHECK_Y3 = -0.715;		//	checkmark 3

const double HORZENDLAP = 0.5;		//	horizontal guide endlap
const double HORZGUIDE1 = -0.385;	//	horizontal guide offset 1
const double HORZGUIDE2 = -0.023;	//	horizontal guide offset 2
const double HORZGUIDE3 =  0.0  ;	//	horizontal guide offset 3
const double HORZGUIDE4 =  0.5  ;	//	horizontal guide offset 4
const double HORZGUIDE5 =  0.67 ;	//	horizontal guide offset 5
const double HORZGUIDE6 =  0.693;	//	horizontal guide offset 6
const double HORZGUIDE7 =  1.055;	//	horizontal guide offset 7

const double VERTENDLAP = 1.0;		//	vertical guide endlap
const double VERTGUIDE1 = 0.125;	//	vertical guide offset 1
const double VERTGUIDE2 = 0.5  ;	//	vertical guide offset 2
const double VERTGUIDE3 = 0.875;	//	vertical guide offset 3

const double HANDLERADIUS = 0.03125;	//	handle point radius

const double LEADRISE = 0.25;		//	leader rise
const double LEADARROW = -1.0;		//	leader arrow
const double LEADSHOULDER = -1.125;	//	leader shoulder

//void InitCharRecord(VCFCharData* rec);
//void DeleteCharData(VCFCharData* pCharRec);
// void InitFontData(VCFCharData fd[]);
// void DeleteFontData(VCFCharData FontData[]);
void GetCharacterBounds(VCFCharData* rec, fPoint2D fpHandle, BOOL tfHandle);

BOOL LoadVCF(char *szFullPath, VCFCharData FontList[]);
BOOL SaveVCF(char *szFullPath, char *szFontName, VCFCharData FontList[]);
void DrawVCFChar(VCFCharData* lpCharRec, Point2D* lpPtHandle);
void StowVCFChar(short iChr, VCFCharData* lpCharRec, Point2D* lpPtHandle, BOOL tfHandle);


HRESULT WINAPI FontOpen(char* szFileName);
HRESULT WINAPI FontSave(char* szFileName, char* szFontName);

// Exported functions for VCADD
// These must match the VCADD addon DLL calling convention
void WINAPI TCFontOpen(char*);
void WINAPI TCFontSave(char*);

#endif // FontEdit_h__
