// Utils.cpp implementation of various VCadd Utilities
//
//Copyright(c) 2018 Gold Run Partners, Inc.

//  standard system includes
#include "stdafx.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// make Point2D from two doubles
//
Point2D WINAPI MakePoint(double dx, double dy)
{
    Point2D pt;
    pt.x = dx;
    pt.y = dy;
    return pt;
}

/////////////////////////////////////////////////////////////////////////////
//	adds two Point2D (i.e., offset from point)
//
Point2D WINAPI AddPoint2D(Point2D* lpPt0, Point2D* lpPt1)
{ 
	Point2D pt;
	pt.x = lpPt0->x + lpPt1->x;
	pt.y = lpPt0->y + lpPt1->y;
	return pt;
}

/////////////////////////////////////////////////////////////////////////////
// make fPoint2D from Point2D
//
fPoint2D WINAPI fPtFromPt(Point2D dp)
{
	fPoint2D fpt;
	fpt.x = (float)dp.x;
	fpt.y = (float)dp.y;
	return fpt;
}

/////////////////////////////////////////////////////////////////////////////
// make Point2D from fPoint2D
//
Point2D WINAPI PtFromfPt(fPoint2D fp)
{
	Point2D pt;
	pt.x = (double)fp.x;
	pt.y = (double)fp.y;
	return pt;
}

/////////////////////////////////////////////////////////////////////////////
// simple error messaging
//
void WINAPI ErrMsg(const char *szText, const char *szTitle)
{
    //  attach message box to active window
    HWND hWnd = GetFocus();

    //  beep and message
    MessageBeep(MB_ICONEXCLAMATION);
    MessageBox(hWnd, szText, szTitle, MB_SYSTEMMODAL | MB_OK | MB_ICONEXCLAMATION);

    //  return focus
    SetFocus(hWnd);
}

/////////////////////////////////////////////////////////////////////////////
//	DrawLastEntity
//
void WINAPI DrawLastEntity(void)
{
    short iError;
    long hEnt, hLastEnt;

    hEnt = VCGetCurrentEntityHandle(&iError);

    VCLastEntity(&iError, &hLastEnt);
    VCSetCurrentEntity(&iError, hLastEnt);
    VCDrawCurrentEntity(&iError);

    VCSetCurrentEntity(&iError, hEnt);
}
