/*SDOC*************************************************************

  Module: DlgId.h

  Copyright (C) 2017 Gold Run Partners, Inc.  All rights reserved.
  
  Description: Visual CADD specific type definations and constants

  Revision Record:

  Version     Changes & Additions
  ========    =====================================================
  3.0.0       Search: "version 3.0.0"
  4.0.0       Search: "version 4.0.0"
  4.0.4       Search: "version 4.0.4"
  4.0.5       Search: "version 4.0.5"
  5.0.0       Search: "version 5.0.0"
  5.0.1       Search: "version 5.0.1"
  6.0.0       Search: "version 6.0.0"
  6.0.1       Search: "version 6.0.1"
  7.0.0       Search: "version 7.0.0"
  8.0.0       Search: "version 8.0.0"

*************************************************************EDOC*/
#pragma once

#define ID_PlaceHolder       99
#define ID_Tab              101

#define ID_Common           1074
#define ID_SwapText         1077

#define ID_OK               1075
#define ID_CANCEL           1076
//--ANS 14-Mar-20 b9-33 #define ID_MYHELP           1078
#define ID_Help             1079
#define ID_LIKE             1080
#define ID_APPLY            1081
#define ID_DlgTitle         1082
#define ID_Print            1083
#define ID_ABORT            1084

// Layer Group Base for flyout menu
#define ID_LayerGroupBase   1024

// Combo & List box IDs
#define CB_Base             1124
#define ID_CB1              1125
#define ID_CB2              1126
#define ID_CBSymbolName     1127
#define ID_CBHatchName      1129
#define ID_CBName           1130
#define ID_CBFont           1131
#define ID_CBLayer          1132
#define ID_CBColor          1133
#define ID_CBWidth          1134
#define ID_LBWidth          1135
#define ID_CBEList          1136
#define ID_LBLayer          1137
#define ID_LBColor          1138
#define ID_CBLtype          1139
#define ID_LBLtype          1140
#define ID_LB1              1141
#define ID_LB2              1142
#define ID_CBColor1         1144
#define ID_CBColor2         1145
#define ID_CBColor3         1146
#define ID_CBColor4         1147
#define ID_CBColor5         1148
#define ID_CBColor6         1149
#define ID_CBColorChange    1150
#define ID_LBColorChange    1151
#define ID_CBColorFilter    1152
#define ID_LBColorFilter    1153
#define ID_CB3              1154
#define ID_CB4              1155
#define ID_LB3              1156
#define ID_LB4              1157
#define ID_CBFont1          1158
#define ID_CBFont2          1159
#define ID_LBFont           1160
#define ID_LBFont1          1161
#define ID_LBFont2          1162
#define ID_LBFont3          1163
#define ID_CB5              1164
#define ID_CB6              1165
#define ID_CB7              1166
#define ID_CB8              1167
#define ID_CB9              1168
#define ID_CB10             1169
#define ID_LB5              1170
#define ID_LB6              1171
#define ID_LB7              1172
#define IDC_COMBO1          1173  // Added version 4.0.0

// Edit control IDs
#define ED_Base             1224
#define ID_EDAngle          1225
#define ID_EDScaleX         1226
#define ID_EDScaleY         1227
#define ID_EDRight          1228
#define ID_EDIncSnap        1229
#define ID_EDOrthoAngle     1230
#define ID_EDLeft           1231
#define ID_EDFilletRad      1232
#define ID_ED1              1233
#define ID_ED2              1234
#define ID_ED3              1235
#define ID_ED4              1236
#define ID_ED5              1237
#define ID_ED6              1238
#define ID_ED7              1239
#define ID_ED8              1240
#define ID_ED9              1241
#define ID_ED10             1242
#define ID_ED11             1243
#define ID_ED12             1244
#define ID_ED13             1245
#define ID_ED14             1246
#define ID_ED15             1247
#define ID_ED16             1248
#define ID_ED17             1249
#define ID_ED18             1250
#define ID_ED19             1251
#define ID_EDRFName         1252

// Button Control IDs
#define BT_Base             1324
#define ID_BTMatch          1325
#define ID_BTFlip90         1326
#define ID_BTSymPlace       1327
#define ID_BTHatchPreview   1328
#define ID_BTPreview        1329
                         
#define ID_BTFlipX          1330
#define ID_BTFlipY          1331
#define ID_BT1              1333
#define ID_BT2              1334
#define ID_BT3              1335
#define ID_BT4              1336
#define ID_BT5              1337
#define ID_BT6              1338
#define ID_BT7              1339
#define ID_StyleLoad        1340
#define ID_StyleSave        1341
#define ID_BT8              1342
#define ID_BT9              1343
#define ID_BT10             1344
#define ID_BT11             1345
#define ID_BT12             1346
#define ID_BT13             1347
#define ID_BT14             1348
#define ID_BT15             1349
#define ID_BT16             1350
#define ID_BT17             1351
//--JLW 17-Jun-20 b9-33 unused  //  #define ID_BTSmMatch        1352
#define ID_BTMatchOne       1352  // Added version 9.0.0
//--ANS 14-Mar-20 b9-33 #define ID_BTSmHelp         1353
//#define ID_HELP_VC        1353  // Duplicate number with ID_BTSmHelp 
#define ID_HELP_VC          1353  // Added version 4.0.0 TBD  // Duplicate with <afxres.h>, so append '_VC' 
#define ID_BTApply          1354  // Added version 3.0.0
#define ID_BTMinus          1355  // Added version 3.0.0
#define ID_BTDelete         1356  // Added version 3.0.0
#define ID_BTMoveTo         1357  // Added version 3.0.0
#define ID_BTCopyTo         1358  // Added version 3.0.0
#define ID_BTGroups         1359  // Added version 3.0.0
#define ID_BTSymMat         1360  // Added version 4.0.0

//Layer Manager
#define ID_LMVisible        1361  // Added version 3.0.0
#define ID_LMPrint          1362  // Added version 3.0.0
#define ID_LMLock           1363  // Added version 3.0.0
#define ID_LMCurrent        1364  // Added version 3.0.0
#define ID_LMProperties     1365  // Added version 3.0.0
#define ID_LMSort           1366  // Added version 3.0.0
#define ID_LMSelectAll      1367  // Added version 3.0.0
#define ID_LMFlyout         1368  // Added version 3.0.0
#define ID_LMShortList      1369  // Added version 3.0.0
#define ID_LMMoveTo         1370  // Added version 3.0.0
#define ID_LMCopyTo         1371  // Added version 3.0.0
#define ID_LMDisplayGroups  1372  // Added version 3.0.0
#define ID_LMApplyToMDI     1373  // Added version 8.0.0
#define ID_LMUseByLayer     1374  // Added version 8.0.0
#define ID_LMSnapAllLayers  1375  // Added version 8.0.0

// Layer Groups
#define ID_LGAdd            1381  // Added version 3.0.0 
#define ID_LGModify         1382  // Added version 3.0.0
#define ID_LGDelete         1383  // Added version 3.0.0

#define ID_LGBSDivider      1385  // Added version 3.0.0
#define ID_LGComboBox       1386  // Added version 3.0.0
#define ID_LGEditBox        1387  // Added version 3.0.0
#define ID_LGListBox        1388  // Added version 3.0.0
#define ID_LGGroupLabel     1389

#define ID_BTMatchD         1400  // Added version 9.0.0
#define ID_BTMatchA         1401  // Added version 9.0.0
#define ID_BTMatchV         1402  // Added version 9.0.0
#define ID_BTMatchM         1403  // Added version 9.0.0

// Checkbox Control IDs
#define CHK_Base            1424
#define ID_CHKAutoFillet    1425
#define ID_CHKSolid         1426
#define ID_CHKIncSnap       1427
#define ID_CHKCursorFree    1428
#define ID_CHKOrthoMode     1429
#define ID_CHKOrthoMirrorLR 1430  // Added version 4.0.0
#define ID_CHKOrthoMirrorUD 1431  // Added version 3.0.0
#define ID_CHK1             1430
#define ID_CHK2             1431
#define ID_CHK3             1432
#define ID_CHK4             1433
#define ID_CHK5             1434
#define ID_CHK6             1435
#define ID_CHK7             1436
#define ID_CHK8             1437
#define ID_CHK9             1438
#define ID_CHK10            1439
#define ID_CHK11            1440
#define ID_CHK12            1441
#define ID_CHK13            1442
#define ID_CHK14            1443
#define ID_CHK15            1445
#define ID_CHK16            1446
#define ID_CHK17            1447
#define ID_CHK18            1448
#define ID_CHK19            1449
#define ID_CHK20            1450

// explorer powermgr
#define ID_FOLDER32         1475  // Added version 3.0.0
#define ID_FOLDER16         1476  // Added version 3.0.0
#define ID_FOLDER16OPEN     1477  // Added version 3.0.0
#define ID_FOLDER16BACK     1478  // Added version 3.0.0
#define ID_FOLDER32BACK     1479  // Added version 3.0.0
#define ID_SYMBOLMGRMENU    1480  // Added version 3.0.0
#define ID_FDDRIVE          1481  // Added version 3.0.0
#define ID_HDDRIVE          1482  // Added version 3.0.0
#define ID_CDDRIVE          1483  // Added version 3.0.0
#define ID_NETDRIVE         1484  // Added version 3.0.0
#define ID_DOCMGRMENU       1485  // Added version 3.0.0

// Radio button IDs
#define RAD_Base            1524
#define ID_RAD1             1525
#define ID_RAD2             1526
#define ID_RAD3             1527
#define ID_RAD4             1528
#define ID_RAD5             1529
#define ID_RAD6             1530
#define ID_RAD7             1531
#define ID_RAD8             1532
#define ID_RAD9             1533
#define ID_RAD10            1534
#define ID_RAD11            1535
#define ID_RAD12            1536
#define ID_RAD13            1537
#define ID_RAD14            1538
#define ID_RAD15            1539

// Text IDS
#define TEXT_Base           1624
#define ID_TEXT1            1625
#define ID_TEXT2            1626
#define ID_TEXT3            1627
#define ID_TEXT4            1628
#define ID_TEXT5            1629
#define ID_TEXT6            1630
#define ID_TEXT7            1631
#define ID_TEXT8            1632
#define ID_TEXT9            1633
#define ID_TEXT10           1634
#define ID_TEXT11           1635
#define ID_TEXT12           1636
#define ID_TEXT13           1637
#define ID_TEXT14           1638
#define ID_TEXT15           1639
#define ID_TEXT16           1640
#define ID_TEXT17           1641
#define ID_TEXT18           1642
#define ID_TEXT19           1643
#define ID_TEXT20           1644
#define ID_TEXT21           1645
#define IDC_LTEXT1          1646

// Powermgr/SymMgr
#define ID_ExplorerBigIcon        1650  // Added version 3.0.0
#define ID_ExplorerSmallIcon      1651  // Added version 3.0.0
#define ID_ExplorerList           1652  // Added version 3.0.0
#define ID_ExplorerReport         1653  // Added version 3.0.0
#define ID_ExplorerFileDelete     1654  // Added version 3.0.0

#define ID_ExplorerShowSettings   1655  // Added version 3.0.0
#define ID_ExplorerShowFolders    1656  // Added version 3.0.0
#define ID_ExplorerSymbolsOnDisk  1657  // Added version 3.0.0
#define ID_ExplorerPowerGroup     1658  // Added version 3.0.0
#define ID_ExplorerFolderBack     1659  // Added version 3.0.0
#define ID_BTAE                   1660  // Added version 4.0.0
#define ID_BTUC                   1661  // Added version 4.0.0
#define ID_BTPP                   1662  // Added version 4.0.0
#define ID_ShowSymsOnDisk         1804  // Added version 8.0.0
#define ID_ShowSymsLoaded         1805  // Added version 8.0.0
#define ID_HideExt                1806  // Added version 8.0.0
#define ID_AutoExplode            1814  // Added version 8.0.0
#define ID_ExplorerRefresh        1815  // Added version 8.0.0
#define ID_CancelSymbolPlace      1816  // Added version 8.0.0

// Bitmap IDs
#define BMP_Base            1724
#define ID_BMPDRAW          1725
#define ID_BMPZOOM          1726
#define ID_BMPSNAP          1727
#define ID_BMPEDIT          1728
#define ID_BMPMODIFY        1729
#define ID_BMP1             1730
#define ID_BMP3             1731

#define ID_Base             1774
#define ID_1                1775
#define ID_2                1776
#define ID_3                1777
#define ID_4                1778
#define ID_5                1779
#define ID_6                1780
#define ID_7                1781
#define ID_8                1782
#define ID_Tab0             1783
#define ID_Tab1             1784
#define ID_Tab2             1785
#define ID_Tab3             1786
#define ID_Tab4             1787
#define ID_Tab5             1788
#define ID_Tab6             1789
#define ID_ST1              1791
#define ID_ST2              1792
#define ID_ST3              1793
#define ID_ST4              1794
#define ID_PositionChild    1795
#define ID_Preview          1796
#define ID_9                1797
#define ID_10               1798  // Added version 3.0.0
#define ID_11               1799  // Added version 3.0.0
#define ID_12               1801  // Added version 3.0.0
#define ID_13               1802  // Added version 3.0.0
#define ID_14               1803  // Added version 3.0.0
#define ID_15               1804  // Added version 3.0.0
#define ID_16               1805  // Added version 3.0.0
#define ID_17               1806  // Added version 3.0.0
#define ID_18               1807  // Added version 3.0.0
#define ID_19               1808  // Added version 3.0.0
#define ID_20               1809  // Added version 3.0.0
#define ID_21               1810  // Added version 3.0.0
#define ID_22               1811  // Added version 3.0.0
#define ID_23               1812  // Added version 3.0.0
#define ID_24               1813  // Added version 3.0.0
#define ID_25               1814  // Added version 3.0.0
#define ID_26               1815  // Added version 3.0.0
#define ID_27               1816  // Added version 3.0.0
#define ID_28               1817  // Added version 3.0.0
#define ID_29               1818  // Added version 3.0.0
#define ID_30               1819  // Added version 3.0.0



#define ID_G1               1814
#define ID_G2               1815
#define ID_G3               1816
#define ID_G4               1817
#define ID_G5               1818
#define ID_G6               1819
#define ID_G7               1820
#define ID_G8               1821
#define ID_G9               1822
#define ID_G10              1823

// Status Line
#define ID_StatusBase       1824
#define ID_STANGLE          1825
#define ID_STDIST           1826
#define ID_STXY             1827
#define ID_STMESSAGE        1828

// Notify codes

#define ID_NotifyCodes      1874
#define DLG_CHANGEFOCUS     1875
#define DLG_LBCHANGE        1876
#define DLG_EDCHANGE        1877
#define ID_RETURN           1878

// DBase Dlg

#define DLG_DBASE           1024

#define ID_EKind            1026  // Redefined version 4.0.0 added ID_
#define ID_ESelect          1027  // Redefined version 4.0.0 added ID_
#define ID_EErase           1028  // Redefined version 4.0.0 added ID_
#define ID_EPurge           1029  // Redefined version 4.0.0 added ID_
#define ID_EUndo            1030  // Redefined version 4.0.0 added ID_
#define ID_EHandle          1032  // Redefined version 4.0.0 added ID_
#define ID_EPList           1033  // Redefined version 4.0.0 added ID_
#define ID_EReset           1035  // Redefined version 4.0.0 added ID_
#define ID_EOrder           1036  // Redefined version 4.0.0 added ID_
#define ID_ECount           1037  // Redefined version 4.0.0 added ID_
#define ID_EClose           1038  // Redefined version 4.0.0 added ID_
#define ID_EColor           1039  // Redefined version 4.0.0 added ID_
#define ID_ELtype           1040  // Redefined version 4.0.0 added ID_
#define ID_EWidth           1041  // Redefined version 4.0.0 added ID_
#define ID_ELayer           1042  // Redefined version 4.0.0 added ID_
#define ID_EPointCnt        1043  // Redefined version 4.0.0 added ID_
#define ID_EList            1045  // Redefined version 4.0.0 added ID_
#define ID_ERedo            1031  // Redefined version 4.0.0 added ID_
#define ID_EErasedonly      1048  // Redefined version 4.0.0 added ID_
#define ID_EValidonly       1049  // Redefined version 4.0.0 added ID_
#define ID_ESelectonly      1050  // Redefined version 4.0.0 added ID_
#define ID_EUndoLev         1051  // Redefined version 4.0.0 added ID_
#define ID_EFWidth          1053
#define ID_EByLayer         1054

// Layer groups
#define ID_LBSourceSelectAll        1001  // Added version 3.0.0
#define ID_LBSourceInvertSelection  1002  // Added version 3.0.0
#define ID_LBSourceClear            1003  // Added version 3.0.0
#define ID_LBAddToTarget            1004  // Added version 3.0.0
#define ID_LBTargetSelectAll        1011  // Added version 3.0.0
#define ID_LBTargetInvertSelection  1012  // Added version 3.0.0
#define ID_LBTargetClear            1013  // Added version 3.0.0
#define ID_LBRemoveFromTarget       1014  // Added version 3.0.0

// DWG color import
#define ID_LBColor1                 1015  // Added version 4.0.0

// Plotter
#define ID_ED20                     1017  // Added version 4.0.0
#define ID_ED21                     1018  // Added version 4.0.0
#define ID_ED22                     1019  // Added version 4.0.0
#define ID_ED23                     1020  // Added version 4.0.0
#define ID_ED24                     1021  // Added version 4.0.0
