/*SDOC*************************************************************

  Module:	VCDlg32.cpp

  Copyright (C) 2017 Gold Run Partners, Inc.  All rights reserved.

  Description:	VCDlg32.dll exports
  
								See VCDlg32.h for Revision Record:

*************************************************************EDOC*/

#include "stdafx.h"

#include "VCType32.h"
#include "VCDlg32.h"
#include "VCUtil32.h"

#ifdef VCLINK_STATIC
	#define hInstVCDLG32 theApp.GetVCDLG32()
#else
	extern HMODULE hInstVCDLG32;
#endif

void WINAPI VCAddPlotter(short* iError, char* szPlotterName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCAddPlotter", iError, szPlotterName);
}

void WINAPI VCAddPlotterLanguageName(short* iError, char* szLanguageName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCAddPlotterLanguageName", iError, szLanguageName);
}

void WINAPI VCAddPlotterPageSize(short* iError, Point2D* pPageSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCAddPlotterPageSize", iError, pPageSize);
}

void WINAPI VCAddPlotterPenMapName(short* iError, char* szPenMapName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCAddPlotterPenMapName", iError, szPenMapName);
}

void WINAPI VCApplyPlotterLanguageDefaults(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCApplyPlotterLanguageDefaults", iError);
}

void WINAPI VCApplyPlotterPenMapDefaults(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCApplyPlotterPenMapDefaults", iError);
}

void WINAPI VCBirdsEye(short* iError, short iDisplayMode)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCBirdsEye", iError, iDisplayMode);
}

void WINAPI VCChangeRefFrameNameDlg(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCChangeRefFrameNameDlg", iError);
}

void WINAPI VCChangeRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCChangeRibalog");
}

void WINAPI VCCloseRibalog(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCCloseRibalog", iError);
}

void WINAPI VCDBLineSettingsRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDBLineSettingsRibalog");
}

void WINAPI VCDeInitPrintMode(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDeInitPrintMode", iError);
}

void WINAPI VCDimArrowRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimArrowRibalog");
}

void WINAPI VCDimDisplayRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimDisplayRibalog");
}

void WINAPI VCDimExtRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimExtRibalog");
}

void WINAPI VCDimLeaderRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimLeaderRibalog");
}

void WINAPI VCDimLineRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimLineRibalog");
}

void WINAPI VCDimStringsRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimStringsRibalog");
}

void WINAPI VCDimTextRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimTextRibalog");
}

void WINAPI VCDimToleranceRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDimToleranceRibalog");
}

void WINAPI VCFilletRadiusRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCFilletRadiusRibalog");
}

void WINAPI VCFilterRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCFilterRibalog");
}

short WINAPI VCGetCurrentPrinter(short* iError, char* szPrinter)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetCurrentPrinter", iError, szPrinter);
}

short WINAPI VCGetDefaultPrinter(short* iError, char* szDefaultPrinter)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetDefaultPrinter", iError, szDefaultPrinter);
}

HWND WINAPI VCGetDialogFromId(WORD id)
{
	static FARPROC fp = NULL;
	return HWNDFunction(&fp, hInstVCDLG32, "VCGetDialogFromId", id);
}

void WINAPI VCGetPlotSettings(short* iError, PlotStruct* pSettings)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPlotSettings", iError, pSettings);
}

short WINAPI VCGetPlotterCount(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterCount", iError);
}

short WINAPI VCGetPlotterCurrentLanguageName(short* iError, char* szLanguageName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterCurrentLanguageName", iError, szLanguageName);
}

void WINAPI VCGetPlotterCurrentPageSize(short* iError, short* iIndex, Point2D* pPaperSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPlotterCurrentPageSize", iError, iIndex, pPaperSize);
}

short WINAPI VCGetPlotterCurrentPenMapName(short* iError, char* szPenMapName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterCurrentPenMapName", iError, szPenMapName);
}

short WINAPI VCGetPlotterDeInitString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterDeInitString", iError, sz);
}

short WINAPI VCGetPlotterDelimiter(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterDelimiter", iError, sz);
}

short WINAPI VCGetPlotterInitString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterInitString", iError, sz);
}

short WINAPI VCGetPlotterLanguageCount(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterLanguageCount", iError);
}

short WINAPI VCGetPlotterLanguageName(short* iError, short iIndex, char* szLanguageName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterLanguageName", iError, iIndex, szLanguageName);
}

void WINAPI VCGetPlotterPageSize(short* iError, short iIndex, Point2D* pPaperSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPlotterPageSize", iError, iIndex, pPaperSize);
}

short WINAPI VCGetPlotterPageSizeCount(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPageSizeCount", iError);
}

short WINAPI VCGetPlotterPenChangeString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenChangeString", iError, sz);
}

short WINAPI VCGetPlotterPenDownString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenDownString", iError, sz);
}

short WINAPI VCGetPlotterPenDrawString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenDrawString", iError, sz);
}

short WINAPI VCGetPlotterPenMapCount(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenMapCount", iError);
}

short WINAPI VCGetPlotterPenMapName(short* iError, short iIndex, char* szPenMapName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenMapName", iError, iIndex, szPenMapName);
}

void WINAPI VCGetPlotterPenMapping(short* iError, short iColor, short* iPen, double* dWidth, short* iSpeed)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPlotterPenMapping", iError, iColor, iPen, dWidth, iSpeed);
}

short WINAPI VCGetPlotterPenMoveString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenMoveString", iError, sz);
}

short WINAPI VCGetPlotterPenSpeedString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenSpeedString", iError, sz);
}

short WINAPI VCGetPlotterPenUpString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPlotterPenUpString", iError, sz);
}

void WINAPI VCGetPrintSettings(short* iError, PrintStruct* pSettings)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPrintSettings", iError, pSettings);
}

short WINAPI VCGetPrinterName(short* iError, short iIndex, char* szPrinter)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrinterName", iError, iIndex, szPrinter);
}

short WINAPI VCGetPrinterNameCount(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrinterNameCount", iError);
}

void WINAPI VCGetRibalogSize(short* iError, iPoint2D* ipOrg, iPoint2D* ipSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetRibalogSize", iError, ipOrg, ipSize);
}

short WINAPI VCGetSpecificPrinter(short* iError, char* szSpecificPrinter)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetSpecificPrinter", iError, szSpecificPrinter);
}

void WINAPI VCGetStatusBarSize(short* iError, iPoint2D* ipOrg, iPoint2D* ipSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetStatusBarSize", iError, ipOrg, ipSize);
}

HWND WINAPI VCGetToolbar(short i)
{
	static FARPROC fp = NULL;
	return HWNDFunction(&fp, hInstVCDLG32, "VCGetToolbar", i);
}

HWND WINAPI VCGetTopTool(void)
{
	static FARPROC fp = NULL;
	return HWNDFunction(&fp, hInstVCDLG32, "VCGetTopTool");
}

vbool WINAPI VCGetUseHPGL2(short* iError)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetUseHPGL2", iError);
}

void WINAPI VCHatchSettingsRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCHatchSettingsRibalog");
}

void WINAPI VCInitDialogs(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCInitDialogs");
}

void WINAPI VCInitPrintMode(short* iError, short iPrintMode)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCInitPrintMode", iError, iPrintMode);
}

void WINAPI VCLayerMgr(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLayerMgr", iError);
}

void WINAPI VCLoadCmdExt(char* szFile, short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadCmdExt", szFile, iError);
}

void WINAPI VCLoadMainSpeedbar(char* szFile, short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadMainSpeedbar", szFile, iError);
}

void WINAPI VCLoadPlotterDriver(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadPlotterDriver", iError, szName);
}

void WINAPI VCLoadPlotterLanguage(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadPlotterLanguage", iError, szName);
}

void WINAPI VCLoadPlotterPenMap(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadPlotterPenMap", iError, szName);
}

void WINAPI VCLoadToolPalette(char* szFile, short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadToolPalette", szFile, iError);
}

void WINAPI VCMeasureAngleRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCMeasureAngleRibalog");
}

void WINAPI VCMeasureAreaRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCMeasureAreaRibalog");
}

void WINAPI VCMeasureDistRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCMeasureDistRibalog");
}

void WINAPI VCModalDlg(short* iError, long cmd_id)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCModalDlg", iError, cmd_id);
}

void WINAPI VCNoDrawingSpeedbar(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCNoDrawingSpeedbar", iError);
}

void WINAPI VCObjectInfo(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCObjectInfo", iError);
}

void WINAPI VCOffsetRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCOffsetRibalog");
}

void WINAPI VCOrthoAngleRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCOrthoAngleRibalog");
}

void WINAPI VCPlot(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPlot", iError);
}

void WINAPI VCPlotDlg(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPlotDlg", iError);
}

void WINAPI VCPrint(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPrint", iError);
}

void WINAPI VCPrintDlg(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPrintDlg", iError);
}

void WINAPI VCPropertiesRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPropertiesRibalog");
}

void WINAPI VCRFBirdsEye(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCRFBirdsEye", iError);
}

void WINAPI VCRFLayerMgr(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCRFLayerMgr", iError);
}

vbool WINAPI VCRIsButtonDown(short* iError, char* szNative, WORD id)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCRIsButtonDown", iError, szNative, id);
}

void WINAPI VCRemovePlotterPageSize(short* iError, short iIndex)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCRemovePlotterPageSize", iError, iIndex);
}

void WINAPI VCResetCmdExt(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCResetCmdExt", iError);
}

void WINAPI VCResetPrintMargins(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCResetPrintMargins", iError);
}

void WINAPI VCSavePlotterDriver(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSavePlotterDriver", iError, szName);
}

void WINAPI VCSavePlotterLanguage(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSavePlotterLanguage", iError, szName);
}

void WINAPI VCSavePlotterPenMap(short* iError, char* szName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSavePlotterPenMap", iError, szName);
}

void WINAPI VCScriptAssignRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCScriptAssignRibalog");
}

void WINAPI VCSetDefaultPrinter(short* iError, char* szDefaultPrinter)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetDefaultPrinter", iError, szDefaultPrinter);
}

void WINAPI VCSetDialogFrameHwnd(HWND hWndFrame)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetDialogFrameHwnd", hWndFrame);
}

void WINAPI VCSetEmbedded(vbool tfEmbedded)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetEmbedded", tfEmbedded);
}

void WINAPI VCSetPlotSettings(short* iError, PlotStruct* pSettings)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotSettings", iError, pSettings);
}

void WINAPI VCSetPlotterCurrentLanguageIndex(short* iError, short iIndex)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterCurrentLanguageIndex", iError, iIndex);
}

void WINAPI VCSetPlotterCurrentLanguageName(short* iError, char* szLanguageName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterCurrentLanguageName", iError, szLanguageName);
}

void WINAPI VCSetPlotterCurrentPageSize(short* iError, short iIndex)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterCurrentPageSize", iError, iIndex);
}

void WINAPI VCSetPlotterCurrentPenMapIndex(short* iError, short iIndex)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterCurrentPenMapIndex", iError, iIndex);
}

void WINAPI VCSetPlotterCurrentPenMapName(short* iError, char* szPenMapName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterCurrentPenMapName", iError, szPenMapName);
}

void WINAPI VCSetPlotterDeInitString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterDeInitString", iError, sz);
}

void WINAPI VCSetPlotterDelimiter(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterDelimiter", iError, sz);
}

void WINAPI VCSetPlotterInitString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterInitString", iError, sz);
}

void WINAPI VCSetPlotterPenChangeString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenChangeString", iError, sz);
}

void WINAPI VCSetPlotterPenDownString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenDownString", iError, sz);
}

void WINAPI VCSetPlotterPenDrawString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenDrawString", iError, sz);
}

void WINAPI VCSetPlotterPenMapping(short* iError, short iColor, short iPen, double dWidth, short iSpeed)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenMapping", iError, iColor, iPen, dWidth, iSpeed);
}

void WINAPI VCSetPlotterPenMoveString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenMoveString", iError, sz);
}

void WINAPI VCSetPlotterPenSpeedString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenSpeedString", iError, sz);
}

void WINAPI VCSetPlotterPenUpString(short* iError, char* sz)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPlotterPenUpString", iError, sz);
}

void WINAPI VCSetPrintSettings(short* iError, PrintStruct* pSettings)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintSettings", iError, pSettings);
}

void WINAPI VCSetRefFrameNameDlg(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetRefFrameNameDlg", iError);
}

void WINAPI VCSetSpecificPrinter(short* iError, char* szSpecificPrinter)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetSpecificPrinter", iError, szSpecificPrinter);
}

void WINAPI VCSetUseHPGL2(short* iError, vbool tf)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetUseHPGL2", iError, tf);
}

void WINAPI VCSymCreateRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSymCreateRibalog");
}

void WINAPI VCSymPlaceRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSymPlaceRibalog");
}

void WINAPI VCSymbolMgr(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSymbolMgr", iError);
}

void WINAPI VCTerminateDialogs(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCTerminateDialogs");
}

void WINAPI VCTextLineRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCTextLineRibalog");
}

void WINAPI VCTextSettingsRibalog(void)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCTextSettingsRibalog");
}

void WINAPI VCUpdateBirdseyeView(short* iError, vbool tfRefresh)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCUpdateBirdseyeView", iError, tfRefresh);
}

void WINAPI VCUpdateDialog(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCUpdateDialog", iError);
}

void WINAPI VCAddPrintPreset(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCAddPrintPreset", iError, szPresetName);
}

void WINAPI VCDeletePrintPreset(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDeletePrintPreset", iError, szPresetName);
}

void WINAPI VCSetCurrentPrintPreset(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetCurrentPrintPreset", iError, szPresetName);
}

int WINAPI VCGetCurrentPrintPreset(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetCurrentPrintPreset", iError, szPresetName);
}

void WINAPI VCSetPrintPresetDevice(short* iError, char* szPresetName, char* szDevice)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetDevice", iError, szPresetName, szDevice);
}

int WINAPI VCGetPrintPresetDevice(short* iError, char* szPresetName, char* szDevice)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetDevice", iError, szPresetName, szDevice);
}

void WINAPI VCSetPrintPresetPageWidth(short* iError, char* szPresetName, double dPageWidth)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPageWidth", iError, szPresetName, dPageWidth);
}

double WINAPI VCGetPrintPresetPageWidth(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPageWidth", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPageHeight(short* iError, char* szPresetName, double dPageHeight)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPageHeight", iError, szPresetName, dPageHeight);
}

double WINAPI VCGetPrintPresetPageHeight(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPageHeight", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMarginLeft(short* iError, char* szPresetName, double dMarginLeft)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMarginLeft", iError, szPresetName, dMarginLeft);
}

double WINAPI VCGetPrintPresetMarginLeft(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMarginLeft", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMarginBottom(short* iError, char* szPresetName, double dMarginBottom)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMarginBottom", iError, szPresetName, dMarginBottom);
}

double WINAPI VCGetPrintPresetMarginBottom(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMarginBottom", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMarginRight(short* iError, char* szPresetName, double dMarginRight)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMarginRight", iError, szPresetName, dMarginRight);
}

double WINAPI VCGetPrintPresetMarginRight(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMarginRight", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMarginTop(short* iError, char* szPresetName, double dMarginTop)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMarginTop", iError, szPresetName, dMarginTop);
}

double WINAPI VCGetPrintPresetMarginTop(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMarginTop", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPrintScale(short* iError, char* szPresetName, double dPrintScale)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPrintScale", iError, szPresetName, dPrintScale);
}

double WINAPI VCGetPrintPresetPrintScale(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPrintScale", iError, szPresetName);
}

void WINAPI VCSetPrintPresetOriginBP(short* iError, char* szPresetName, Point2D* pOrigin)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetOriginBP", iError, szPresetName, pOrigin);
}

void WINAPI VCGetPrintPresetOriginBP(short* iError, char* szPresetName, Point2D* pOrigin)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCGetPrintPresetOriginBP", iError, szPresetName, pOrigin);
}

void WINAPI VCSetPrintPresetOriginX(short* iError, char* szPresetName, double dOriginX)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetOriginX", iError, szPresetName, dOriginX);
}

double WINAPI VCGetPrintPresetOriginX(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetOriginX", iError, szPresetName);
}

void WINAPI VCSetPrintPresetOriginY(short* iError, char* szPresetName, double dOriginY)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetOriginY", iError, szPresetName, dOriginY);
}

double WINAPI VCGetPrintPresetOriginY(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetOriginY", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPrintView(short* iError, char* szPresetName, int nPrintView)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPrintView", iError, szPresetName, nPrintView);
}

int WINAPI VCGetPrintPresetPrintView(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPrintView", iError, szPresetName);
}

void WINAPI VCSetPrintPresetLandscape(short* iError, char* szPresetName, vbool tfLandscape)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetLandscape", iError, szPresetName, tfLandscape);
}

vbool WINAPI VCGetPrintPresetLandscape(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetLandscape", iError, szPresetName);
}

void WINAPI VCSetPrintPresetCopies(short* iError, char* szPresetName, int nCopies)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetCopies", iError, szPresetName, nCopies);
}

int WINAPI VCGetPrintPresetCopies(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetCopies", iError, szPresetName);
}

void WINAPI VCSetPrintPresetRotation(short* iError, char* szPresetName, double dRotation)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetRotation", iError, szPresetName, dRotation);
}

double WINAPI VCGetPrintPresetRotation(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetRotation", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMetric(short* iError, char* szPresetName, vbool tfMetric)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMetric", iError, szPresetName, tfMetric);
}

vbool WINAPI VCGetPrintPresetMetric(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMetric", iError, szPresetName);
}

void WINAPI VCSetPrintPresetFastRedraw(short* iError, char* szPresetName, vbool tfFastRedraw)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetFastRedraw", iError, szPresetName, tfFastRedraw);
}

vbool WINAPI VCGetPrintPresetFastRedraw(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetFastRedraw", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPrintSelected(short* iError, char* szPresetName, vbool tfPrintSelected)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPrintSelected", iError, szPresetName, tfPrintSelected);
}

vbool WINAPI VCGetPrintPresetPrintSelected(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPrintSelected", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPrintToFile(short* iError, char* szPresetName, vbool tfPrintToFile)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPrintToFile", iError, szPresetName, tfPrintToFile);
}

vbool WINAPI VCGetPrintPresetPrintToFile(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPrintToFile", iError, szPresetName);
}

void WINAPI VCSetPrintPresetDateStamp(short* iError, char* szPresetName, vbool tfDateStamp)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetDateStamp", iError, szPresetName, tfDateStamp);
}

vbool WINAPI VCGetPrintPresetDateStamp(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetDateStamp", iError, szPresetName);
}

void WINAPI VCSetPrintPresetAllToBlack(short* iError, char* szPresetName, short iColorOption)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetAllToBlack", iError, szPresetName, iColorOption);
}

short WINAPI VCGetPrintPresetAllToBlack(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetAllToBlack", iError, szPresetName);
}

void WINAPI VCSetPrintPresetLW0HasWidth(short* iError, char* szPresetName, vbool tfLW0HasWidth)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetLW0HasWidth", iError, szPresetName, tfLW0HasWidth);
}

vbool WINAPI VCGetPrintPresetLW0HasWidth(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetLW0HasWidth", iError, szPresetName);
}

void WINAPI VCSetPrintPresetLineWidth(short* iError, char* szPresetName, double dLineWidth)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetLineWidth", iError, szPresetName, dLineWidth);
}

double WINAPI VCGetPrintPresetLineWidth(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return doubleFunction(&fp, hInstVCDLG32, "VCGetPrintPresetLineWidth", iError, szPresetName);
}

void WINAPI VCSetPrintPresetMovePage(short* iError, char* szPresetName, vbool tfMovePage)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetMovePage", iError, szPresetName, tfMovePage);
}

vbool WINAPI VCGetPrintPresetMovePage(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetMovePage", iError, szPresetName);
}

void WINAPI VCSetPrintPresetShowPreview(short* iError, char* szPresetName, vbool tfShowPreview)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetShowPreview", iError, szPresetName, tfShowPreview);
}

vbool WINAPI VCGetPrintPresetShowPreview(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetShowPreview", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPaperSize(short* iError, char* szPresetName, int nPaperSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPaperSize", iError, szPresetName, nPaperSize);
}

int WINAPI VCGetPrintPresetPaperSize(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPaperSize", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPaperLength(short* iError, char* szPresetName, int nPaperLength)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPaperLength", iError, szPresetName, nPaperLength);
}

int WINAPI VCGetPrintPresetPaperLength(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPaperLength", iError, szPresetName);
}

void WINAPI VCSetPrintPresetPaperWidth(short* iError, char* szPresetName, int nPaperWidth)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPaperWidth", iError, szPresetName, nPaperWidth);
}

int WINAPI VCGetPrintPresetPaperWidth(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPaperWidth", iError, szPresetName);
}

void WINAPI VCSetPrintPresetAlwaysCenter(short* iError, char* szPresetName, vbool tfAlwaysCenter)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetAlwaysCenter", iError, szPresetName, tfAlwaysCenter);
}

vbool WINAPI VCGetPrintPresetAlwaysCenter(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetAlwaysCenter", iError, szPresetName);
}

void WINAPI VCSetPrintPresetStampFormat(short* iError, char* szPresetName, int nStampFormat)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetStampFormat", iError, szPresetName, nStampFormat);
}

int WINAPI VCGetPrintPresetStampFormat(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetStampFormat", iError, szPresetName);
}

void WINAPI VCSetPrintPresetStampFontSize(short* iError, char* szPresetName, int nStampFontSize)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetStampFontSize", iError, szPresetName, nStampFontSize);
}

int WINAPI VCGetPrintPresetStampFontSize(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetStampFontSize", iError, szPresetName);
}

void WINAPI VCSetPrintPresetStampLocation(short* iError, char* szPresetName, int nStampLocation)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetStampLocation", iError, szPresetName, nStampLocation);
}

int WINAPI VCGetPrintPresetStampLocation(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetStampLocation", iError, szPresetName);
}

void WINAPI VCSetPrintPresetStampFont(short* iError, char* szPresetName, char* szStampFont)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetStampFont", iError, szPresetName, szStampFont);
}

int WINAPI VCGetPrintPresetStampFont(short* iError, char* szPresetName, char* szStampFont)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetStampFont", iError, szPresetName, szStampFont);
}

void WINAPI VCPrintNoDlg(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCPrintNoDlg", iError);
}

void WINAPI VCDrawCurrentEntityToHWND(short* iError, HWND hWnd_)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCDrawCurrentEntityToHWND", iError, hWnd_);
}

int WINAPI VCEnumPrintPresets(short* iError, char* szList)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCEnumPrintPresets", iError, szList);
}

void WINAPI VCLoadMenu(short* iError, char* szMenu)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCLoadMenu", iError, szMenu);
}

void WINAPI VCSetPrintPresetWatermark(short* iError, char* szPresetName, char* szWatermark)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetWatermark", iError, szPresetName, szWatermark);
}

int WINAPI VCGetPrintPresetWatermark(short* iError, char* szPresetName, char* szWatermark)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetWatermark", iError, szPresetName, szWatermark);
}

void WINAPI VCSetPrintPresetPrintWatermark(short* iError, char* szPresetName, vbool tfPrintWatermark)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetPrintWatermark", iError, szPresetName, tfPrintWatermark);
}

vbool WINAPI VCGetPrintPresetPrintWatermark(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return shortFunction(&fp, hInstVCDLG32, "VCGetPrintPresetPrintWatermark", iError, szPresetName);
}

void WINAPI VCSetPrintPresetWatermarkGray(short* iError, char* szPresetName, int iWatermarkGray)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetWatermarkGray", iError, szPresetName, iWatermarkGray);
}

int WINAPI VCGetPrintPresetWatermarkGray(short* iError, char* szPresetName)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetWatermarkGray", iError, szPresetName);
}

void WINAPI VCLoadStatusBar(char* szFile, short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCDLG32, "VCLoadStatusBar", szFile, iError);
}

int WINAPI VCGetPrintPresetStampCustom(short* iError, char* szPresetName, char* szStamp)
{
    static FARPROC fp = NULL;
    return intFunction(&fp, hInstVCDLG32, "VCGetPrintPresetStampCustom", iError, szPresetName, szStamp);
}

void WINAPI VCSetPrintPresetStampCustom(short* iError, char* szPresetName, char* szStamp)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCDLG32, "VCSetPrintPresetStampCustom", iError, szPresetName, szStamp);
}

UINT WINAPI VCGetScaledDialogTemplate(short* iError, HMODULE hInst, int ID, BYTE* pTemplate, UINT uScale)
{
    static FARPROC fp = NULL;
    return UINTFunction(&fp, hInstVCDLG32, "VCGetScaledDialogTemplate", iError, (long)hInst, ID, pTemplate, uScale);
}

void WINAPI VCSettingsDlg(short* iError, HWND hOwner, WORD wID)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCDLG32, "VCSettingsDlg", iError, hOwner, wID);
}
void WINAPI VCCopyPrintPreset(short* iError, char* szPresetName)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCDLG32, "VCCopyPrintPreset", iError, szPresetName);
}

